Upstream information

CVE-2013-3704 at MITRE

Description

The RPM GPG key import and handling feature in libzypp 12.15.0 and earlier reports a different key fingerprint than the one used to sign a repository when multiple key blobs are used, which might allow remote attackers to trick users into believing that the repository was signed by a more-trustworthy key.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 7.7
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N AV:A/AC:L/Au:S/C:C/I:C/A:C
Access Vector Network Adjacent Network
Access Complexity Medium Low
Authentication None Single
Confidentiality Impact None Complete
Integrity Impact Partial Complete
Availability Impact None Complete
SUSE Bugzilla entry: 828672 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP2
  • libzypp >= 9.16.1-0.5.1
Patchnames:
sledsp2-libzypp
SUSE Linux Enterprise Desktop 11 SP3
  • libzypp >= 9.37.1-0.7.1
Patchnames:
sledsp3-libzypp
SUSE Linux Enterprise Server 11 SP1-CLIENT-TOOLS
SUSE Linux Enterprise Server for SAP Applications 11 SP1-CLIENT-TOOLS
  • libzypp >= 6.39.0-0.3.1
Patchnames:
slesctsp1-libzypp
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server for SAP Applications 11 SP2
SUSE Linux Enterprise Server for VMWare 11 SP2
  • libzypp >= 9.16.1-0.5.1
Patchnames:
slessp2-libzypp
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server for SAP Applications 11 SP3
SUSE Linux Enterprise Server for VMWare 11 SP3
  • libzypp >= 9.37.1-0.7.1
Patchnames:
slessp3-libzypp
SUSE Linux Enterprise Software Development Kit 11 SP2
  • libzypp-devel >= 9.16.1-0.5.1
Patchnames:
sdksp2-libzypp
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libzypp-devel >= 9.37.1-0.7.1
Patchnames:
sdksp3-libzypp


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 libzypp Released
SLED-10-SP4 libzypp Affected
SLES for SAP Applications libzypp Released
SLES-10-SP3 libzypp Released
SLES-10-SP4 libzypp Affected
SLES_LTSS-10-SP4 libzypp Affected
SUSE Linux Enterprise Desktop 11 SP1 libzypp Released
SUSE Linux Enterprise Desktop 11 SP2 libzypp Released
SUSE Linux Enterprise Desktop 11 SP3 libzypp Released
SUSE Linux Enterprise Desktop 11 SP4 libzypp Released
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search libzypp Released
SUSE Linux Enterprise Server 11 SP1 libzypp Released
SUSE Linux Enterprise Server 11 SP1 LTSS libzypp Released
SUSE Linux Enterprise Server 11 SP2 libzypp Released
SUSE Linux Enterprise Server 11 SP2 LTSS libzypp Released
SUSE Linux Enterprise Server 11 SP2 for VMware libzypp Released
SUSE Linux Enterprise Server 11 SP3 libzypp Released
SUSE Linux Enterprise Server 11 SP3 LTSS libzypp Released
SUSE Linux Enterprise Server 11 SP3 for VMware libzypp Released
SUSE Linux Enterprise Server 11 SP4 libzypp Released
SUSE Linux Enterprise Server 11 SP4 LTSS libzypp Released
SUSE Linux Enterprise Server for SAP Business All-in-One libzypp Released
SUSE Linux Enterprise Software Development Kit 11 SP1 libzypp Released
SUSE Linux Enterprise Software Development Kit 11 SP2 libzypp Released
SUSE Linux Enterprise Software Development Kit 11 SP3 libzypp Released
SUSE Linux Enterprise Software Development Kit 11 SP4 libzypp Released